import { IsString, IsNotEmpty, Length } from 'class-validator';

/*
Contains Validation for UserDTO
uses class-validator built in validations
see https://github.com/typestack/class-validator
*/

export class UserDTO {
  @IsString()
  @IsNotEmpty()
  @Length(3, 31)
  name: string;
  @IsString()
  @IsNotEmpty()
  @Length(3, 255)
  password: string;
}
